<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/background-assets",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Background assets"
}
-->

# Background assets

Assets for your app that you can upload and download separately from the Apple hosted app.

## Discussion

Use the Background Assets API to manage content that Apple hosts, so people can download that content outside your main app bundle on the App Store. You submit asset packs to app review; your app can have:

- Multiple background asset packs
- Versions of asset packs, each with unique content
- One active beta version and one App Store version per asset pack
- Updates to content without creating a new app version

To learn more about integrating Apple-hosted background assets into your app, see [Downloading asset packs hosted by Apple](https://developer.apple.com/documentation/backgroundassets/downloading-asset-packs-hosted-by-apple) and to learn more about validating the behavior of your background assets,
see [Testing your asset packs locally](https://developer.apple.com/documentation/backgroundassets/testing-asset-packs-locally).

To manage Apple-hosted background assets, be sure you have one of the following user roles:

- `ADMIN`
- `APP MANAGER`
- `DEVELOPER`

## Topics

### Essentials

[Uploading and versioning Apple hosted background assets](/documentation/AppStoreConnectAPI/managing-apple-hosted-background-assets)

Manage background assets for your App store apps.

### Relating background assets to your app

[`POST /v1/backgroundAssets`](/documentation/AppStoreConnectAPI/POST-v1-backgroundAssets)

Create an asset pack record for your Apple-hosted background assets.

[`POST /v1/backgroundAssetVersions`](/documentation/AppStoreConnectAPI/POST-v1-backgroundAssetVersions)

Create an asset pack version record for your Apple-hosted background assets.

### Uploading background asset files

[`GET /v1/backgroundAssetUploadFiles/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetUploadFiles-_id_)

Get details about an uploaded asset pack for Apple hosted background asset.

[`POST /v1/backgroundAssetUploadFiles`](/documentation/AppStoreConnectAPI/POST-v1-backgroundAssetUploadFiles)

Begin the process of uploading an asset pack for Apple-hosted background assets.

[`PATCH /v1/backgroundAssetUploadFiles/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-backgroundAssetUploadFiles-_id_)

Associate an uploaded asset pack with a background asset version to finish the upload process.

### Reading background asset information

[`GET /v1/apps/{id}/backgroundAssets`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-backgroundAssets)

Get information about the Apple-hosted background assets for a specific app.

[`GET /v1/apps/{id}/relationships/backgroundAssets`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-relationships-backgroundAssets)

Get a list of the Apple hosted background asset IDs for a specific app.

[`GET /v1/backgroundAssets/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssets-_id_)

Get details about a specific background asset.

[`GET /v1/backgroundAssets/{id}/versions`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssets-_id_-versions)

Get details about a specific background asset version.

[`GET /v1/backgroundAssets/{id}/relationships/versions`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssets-_id_-relationships-versions)

Get version IDs about a specific background asset version.

### Reading background asset version information

[`GET /v1/backgroundAssetVersionAppStoreReleases/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersionAppStoreReleases-_id_)

Get the state of a background asset version App Store release.

[`GET /v1/backgroundAssetVersionExternalBetaReleases/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersionExternalBetaReleases-_id_)

Get the state of a background asset version external beta release.

[`GET /v1/backgroundAssetVersionInternalBetaReleases/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersionInternalBetaReleases-_id_)

Get the state of a background asset version internal beta release.

[`GET /v1/backgroundAssetVersions/{id}`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersions-_id_)

Get details about a specific background asset version.

[`GET /v1/backgroundAssetVersions/{id}/backgroundAssetUploadFiles`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersions-_id_-backgroundAssetUploadFiles)

Get details about a background asset upload file for a specific background asset version.

[`GET /v1/backgroundAssetVersions/{id}/relationships/backgroundAssetUploadFiles`](/documentation/AppStoreConnectAPI/GET-v1-backgroundAssetVersions-_id_-relationships-backgroundAssetUploadFiles)

Get the ID for an uploaded asset pack Apple hosted background asset version

### Objects

[`AppBackgroundAssetsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppBackgroundAssetsLinkagesResponse)

A response containing the resource identifiers of background asset versions linked to an app.

[`BackgroundAsset`](/documentation/AppStoreConnectAPI/BackgroundAsset)

A downloadable content package that your app fetches in the background before or after installation, managed through Apple-hosted background assets.

[`BackgroundAssetCreateRequest`](/documentation/AppStoreConnectAPI/BackgroundAssetCreateRequest)

The request body you use to create a background asset record.

[`BackgroundAssetResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetResponse)

A response containing a single background asset downloadable content package.

[`BackgroundAssetsResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetsResponse)

A response containing a list of background assets for an app.

[`BackgroundAssetUploadFile`](/documentation/AppStoreConnectAPI/BackgroundAssetUploadFile)

A file included in a background asset upload operation, with its upload URL and verification checksum.

[`BackgroundAssetUploadFileCreateRequest`](/documentation/AppStoreConnectAPI/BackgroundAssetUploadFileCreateRequest)

The request body you use to create a background asset upload file.

[`BackgroundAssetUploadFileResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetUploadFileResponse)

A response containing a single background asset upload file record.

[`BackgroundAssetUploadFilesResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetUploadFilesResponse)

A response containing a list of upload files for a background asset.

[`BackgroundAssetUploadFileUpdateRequest`](/documentation/AppStoreConnectAPI/BackgroundAssetUploadFileUpdateRequest)

The request body you use to update a background asset upload file.

[`BackgroundAssetVersion`](/documentation/AppStoreConnectAPI/BackgroundAssetVersion)

A specific version of a background asset, containing the upload files your app downloads after installation.

[`BackgroundAssetVersionAppStoreRelease`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionAppStoreRelease)

A release of a background asset version to App Store customers, making the background content available on their devices.

[`BackgroundAssetVersionAppStoreReleaseResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionAppStoreReleaseResponse)

A response containing a single App Store release record for a background asset version.

[`BackgroundAssetVersionAppStoreReleaseState`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionAppStoreReleaseState)

A string that represents the release state of a background asset.

[`BackgroundAssetVersionBackgroundAssetUploadFilesLinkagesResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionBackgroundAssetUploadFilesLinkagesResponse)

A response containing the resource identifiers of upload files associated with a background asset version.

[`BackgroundAssetVersionCreateRequest`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionCreateRequest)

The request body you use to create a background asset version.

[`BackgroundAssetVersionExternalBetaRelease`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionExternalBetaRelease)

A release of a background asset version to external TestFlight testers for validation.

[`BackgroundAssetVersionExternalBetaReleaseResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionExternalBetaReleaseResponse)

A response containing a single external beta release record for a background asset version.

[`BackgroundAssetVersionExternalBetaReleaseState`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionExternalBetaReleaseState)

A string value identifying the current state of a background asset version’s external beta release.

[`BackgroundAssetVersionInternalBetaRelease`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionInternalBetaRelease)

A release of a background asset version to internal testers, allowing you to validate asset delivery before public distribution.

[`BackgroundAssetVersionInternalBetaReleaseResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionInternalBetaReleaseResponse)

A response containing a single internal beta release record for a background asset version.

[`BackgroundAssetVersionResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionResponse)

A response containing a single version of a background asset.

[`BackgroundAssetVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionsLinkagesResponse)

A response containing the resource identifiers of background asset versions linked to an app.

[`BackgroundAssetVersionsResponse`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionsResponse)

A response containing a list of versions for a background asset.

[`BackgroundAssetVersionState`](/documentation/AppStoreConnectAPI/BackgroundAssetVersionState)

The possible states for a background asset version.

[`ChecksumAlgorithm`](/documentation/AppStoreConnectAPI/ChecksumAlgorithm)

A string value identifying the algorithm used to verify the integrity of an uploaded background asset file.

[`Checksums`](/documentation/AppStoreConnectAPI/Checksums)

A collection of integrity checksums for a background asset upload file, used to verify successful delivery.

[`StateDetail`](/documentation/AppStoreConnectAPI/StateDetail)

A resource describing import validation errors, warnings and information.

[`DeliveryFileUploadOperation`](/documentation/AppStoreConnectAPI/DeliveryFileUploadOperation)

An upload operation descriptor containing the URL, HTTP method, and required headers for uploading a background asset file to Apple’s servers.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)